Binary XML file line #14: Error inflating class android.support.v7.widget.FitWindowsLinearLayout

java.lang.RuntimeException: Unable to start activity ComponentInfo{muziksiz.muziksiz/md5788d8740dd872ca7b5c2768077894be5.MainActivity}: android.view.InflateException: Binary XML file line #14: Binary XML file line #14: Error inflating class android.support.v7.widget.FitWindowsLinearLayout
at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2708)
at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2769)
at android.app.ActivityThread.-wrap12(ActivityThread.java)
at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1516)
at android.os.Handler.dispatchMessage(Handler.java:102)
at android.os.Looper.loop(Looper.java:160)
at android.app.ActivityThread.main(ActivityThread.java:6248)
at java.lang.reflect.Method.invoke(Native Method)
at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:898)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:788)
Caused by: android.view.InflateException: Binary XML file line #14: Binary XML file line #14: Error inflating class android.support.v7.widget.FitWindowsLinearLayout
Caused by: android.view.InflateException: Binary XML file line #14: Error inflating class android.support.v7.widget.FitWindowsLinearLayout
Caused by: java.lang.ClassNotFoundException: Didn't find class "android.support.v7.widget.FitWindowsLinearLayout" on path: DexPathList[[zip file "/data/app/muziksiz.muziksiz-1/base.apk"],nativeLibraryDirectories=[/data/app/muziksiz.muziksiz-1/lib/arm64, /system/fake-libs64, /data/app/muziksiz.muziksiz-1/base.apk!/lib/arm64-v8a, /system/lib64, /vendor/lib64]]
at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:56)
at java.lang.ClassLoader.loadClass(ClassLoader.java:380)
at java.lang.ClassLoader.loadClass(ClassLoader.java:312)
at android.view.LayoutInflater.createView(LayoutInflater.java:613)
at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:812)
at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:752)
at android.view.LayoutInflater.inflate(LayoutInflater.java:499)
at android.view.LayoutInflater.inflate(LayoutInflater.java:430)
at android.view.LayoutInflater.inflate(LayoutInflater.java:377)
at android.support.v7.app.AppCompatDelegateImplV9.createSubDecor(AppCompatDelegateImplV9.java:430)
at android.support.v7.app.AppCompatDelegateImplV9.ensureSubDecor(AppCompatDelegateImplV9.java:323)
at android.support.v7.app.AppCompatDelegateImplV9.setContentView(AppCompatDelegateImplV9.java:284)
at android.support.v7.app.AppCompatActivity.setContentView(AppCompatActivity.java:139)
at md5788d8740dd872ca7b5c2768077894be5.MainActivity.n_onCreate(Native Method)
at md5788d8740dd872ca7b5c2768077894be5.MainActivity.onCreate(MainActivity.java:33)
at android.app.Activity.performCreate(Activity.java:6754)
at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1119)
at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2661)
at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2769)
at android.app.ActivityThread.-wrap12(ActivityThread.java)
at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1516)
at android.os.Handler.dispatchMessage(Handler.java:102)
at android.os.Looper.loop(Looper.java:160)
at android.app.ActivityThread.main(ActivityThread.java:6248)
at java.lang.reflect.Method.invoke(Native Method)
at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:898)
at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:788)

Best Answer

  • ispirLee25ispirLee25 ✭✭
    Accepted Answer

    I am close pro guard.Its Worked.

    Or use this proguard configuration file;

    -dontwarn android.net.http.AndroidHttpClient
    -dontwarn org.apache.http.**

    -keep class android.support.multidex.MultiDexApplication
    -keep class android.support.v4.**
    -keep class android.support.v7.** {
    public *;
    }

    -keep class com.android.vending.billing.**
    -keep class * extends java.util.ListResourceBundle {
    protected java.lang.Object[][] getContents();
    }

    -dontwarn com.google.android.gms.internal.*

Answers

  • bullet59bullet59 Member

    It's worth verifying "Android support lib" is installed? PFA

  • ispirLee25ispirLee25 Member ✭✭
    edited April 2018


    I installed it but it gives the same error again

  • Ahsan_SiddiqueAhsan_Siddique PKMember ✭✭✭✭

    I think you are missing AppCompat library to install. If you already installed Appcompat from nuget then you need to update appcompat to latest version that that targeting Android 8.1.

  • ispirLee25ispirLee25 Member ✭✭
    edited May 2018



    Not is showing api 27 to picture 1

  • ispirLee25ispirLee25 Member ✭✭

    Yes i update last version but error again

  • Hi,
    Does any one found a solution. Me also facing same

  • ispirLee25ispirLee25 Member ✭✭
    Accepted Answer

    I am close pro guard.Its Worked.

    Or use this proguard configuration file;

    -dontwarn android.net.http.AndroidHttpClient
    -dontwarn org.apache.http.**

    -keep class android.support.multidex.MultiDexApplication
    -keep class android.support.v4.**
    -keep class android.support.v7.** {
    public *;
    }

    -keep class com.android.vending.billing.**
    -keep class * extends java.util.ListResourceBundle {
    protected java.lang.Object[][] getContents();
    }

    -dontwarn com.google.android.gms.internal.*

Sign In or Register to comment.